# open-inventory

[![Build Status](https://drone.autonomic.zone/api/badges/coop-cloud/open-inventory/status.svg?ref=refs/heads/main)](https://drone.autonomic.zone/coop-cloud/open-inventory)

<!-- metadata -->
* **Category**: Apps
* **Status**: 3, stable
* **Image**: [`open-inventory`](https://codeberg.org/eotl/-/packages/container/open-inventory/), 4, upstream
* **Healthcheck**: Yes
* **Backups**: No
* **Email**: No
* **Tests**: No
* **SSO**: No
<!-- endmetadata -->

## Usage

### Server setup
1. Set up your server ([tutorial](https://docs.coopcloud.tech/operators/tutorial/#server-setup))
1. Install `abra` locally ([guide here](https://docs.coopcloud.tech/operators/tutorial/#install-abra))
1. Deploy [`coop-cloud/traefik`](https://git.autonomic.zone/coop-cloud/traefik) on the server. It acts as proxy, and it handles automagically TLS certificate creation and update (via `Let's Encrypt`).

### Create `open-inventory` app and deploy 
1. `$ abra app new open-inventory --secrets` (optionally with `--pass` if you'd like to save secrets in pass)
1. `$ abra app config open-inventory.example.net`
      - be sure to change `DOMAIN` to something that resolves to
      your server
      - `APP_URL` as well needs to be set
1. `$ abra app deploy open-inventory.example.net`

### open-inventory initial setup

1. Run

      ```$ abra app cmd open-inventory.example.net app initial_setup```
      it will run the initial migrations, and create the first admin user


## open-inventory specific abra commands
Have a look at the abra.sh file in this repo,
there are some handy commands ready.
You can run them as, for example:
```bash
$ abra app cmd open-inventory.example.net app clear_cache
```
